Get a cloud volume

GET/v1/cloud_block_storage/volumes/{volume_id}

Perform a GET request to the /v1/cloud_block_storage/volumes/{volume_id} endpoint to see volume details. Choose a necessary volume by putting its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

volume_id*string

A unique identifier of a volume.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/cloud_block_storage/volumes/X7ax9byv"
{  "id": "X7ax9byv",  "openstack_uuid": "440a2477-fcfc-497f-8369-5e788cb2912d",  "region_id": 0,  "region_code": "NL01",  "name": "name130",  "size": 1,  "status": "backing-up",  "created_at": "2024-10-17T10:00:00Z",  "bootable": false,  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "attachments": [],  "description": null}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}